ucommon-config(1)

NAME
ucommon-config - script to get information about ucommon library

SYNOPSIS
ucommon-config [options]

DESCRIPTION
ucommon-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use the ucommon library. Note: ucommon-config is provided for compatibility with legacy software only. Current projects should use pkg-config instead!

OPTIONS

--version
    Print the currently installed version of ucommon on the standard output.

--secure
    Print additional libraries needed to link a program with ucommonsecurecrytographiclibrary

--scripting
    Print additional linker flags needed to link a program with ucommonscriptlibrary

--includes
    Print the include directory for ucommonheaders

--libs
    Print the linker flags that are necessary to link a program with ucommon

--plugins
    Print the directory for ucommonplugins

--cflags
    Print the compiler flags that are necessary to compile a program with ucommon

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that ucommon was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that ucommon was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
pkg-config(1).

AUTHOR
ucommon-config was written by David Sugar <dyfet@gnutelephony.org>.

COPYRIGHT
Copyright © 2009 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.